Skip to main content
GET
/
public
/
{user_id}
/
orders
/
{publicOrder_uuid}
/
lines
List Order Lines
curl --request GET \
  --url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder_uuid}/lines \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "864195d5-f5fb-3bae-a62a-017ff279e9e6",
      "title": "Minus vitae velit quo blanditiis.",
      "description": "Facilis magnam odit ut ut.",
      "quantity": 1,
      "unit_quantity": 1,
      "exchange_rate": null,
      "exchange_rate_fetched_at": null,
      "unit_price": {
        "currency": "USD",
        "amount": "4293.00",
        "amount_minor": 429300
      },
      "sub_total": {
        "currency": "USD",
        "amount": "4293.00",
        "amount_minor": 429300
      },
      "discount_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "tax_total": {
        "currency": "USD",
        "amount": "58.00",
        "amount_minor": 5800
      },
      "total": {
        "currency": "USD",
        "amount": "4293.00",
        "amount_minor": 429300
      },
      "total_before_tax": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "notes": "Dolores et eum soluta non."
    },
    {
      "uuid": "d781c4f5-93be-32c8-85a8-f3d64edab758",
      "title": "Ut illum ducimus et deserunt atque.",
      "description": "Ut cumque error ut maiores laboriosam.",
      "quantity": 1,
      "unit_quantity": 1,
      "exchange_rate": null,
      "exchange_rate_fetched_at": null,
      "unit_price": {
        "currency": "USD",
        "amount": "3933.00",
        "amount_minor": 393300
      },
      "sub_total": {
        "currency": "USD",
        "amount": "3933.00",
        "amount_minor": 393300
      },
      "discount_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "tax_total": {
        "currency": "USD",
        "amount": "744.00",
        "amount_minor": 74400
      },
      "total": {
        "currency": "USD",
        "amount": "3933.00",
        "amount_minor": 393300
      },
      "total_before_tax": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "notes": "Vel deleniti commodi et magni."
    }
  ],
  "meta": {
    "current_page": 1,
    "total": 2,
    "per_page": 10
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The ID of the user.

publicOrder_uuid
string
required

Query Parameters

include
enum<string>

A comma-separated list of relationships to include. Multiple parameters are allowed.

Available options:
price,
price.tiers
Example:

"price"

Response

200 - application/json
data
object[]
Example:
[
{
"uuid": "864195d5-f5fb-3bae-a62a-017ff279e9e6",
"title": "Minus vitae velit quo blanditiis.",
"description": "Facilis magnam odit ut ut.",
"quantity": 1,
"unit_quantity": 1,
"exchange_rate": null,
"exchange_rate_fetched_at": null,
"unit_price": {
"currency": "USD",
"amount": "4293.00",
"amount_minor": 429300
},
"sub_total": {
"currency": "USD",
"amount": "4293.00",
"amount_minor": 429300
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "58.00",
"amount_minor": 5800
},
"total": {
"currency": "USD",
"amount": "4293.00",
"amount_minor": 429300
},
"total_before_tax": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"notes": "Dolores et eum soluta non."
},
{
"uuid": "d781c4f5-93be-32c8-85a8-f3d64edab758",
"title": "Ut illum ducimus et deserunt atque.",
"description": "Ut cumque error ut maiores laboriosam.",
"quantity": 1,
"unit_quantity": 1,
"exchange_rate": null,
"exchange_rate_fetched_at": null,
"unit_price": {
"currency": "USD",
"amount": "3933.00",
"amount_minor": 393300
},
"sub_total": {
"currency": "USD",
"amount": "3933.00",
"amount_minor": 393300
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "744.00",
"amount_minor": 74400
},
"total": {
"currency": "USD",
"amount": "3933.00",
"amount_minor": 393300
},
"total_before_tax": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"notes": "Vel deleniti commodi et magni."
}
]
meta
object